curl --request PATCH \
--url https://{tenant_name}.{region}.techwolf.ai/employees/{external_id}/skill_profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source": "oracle",
"skills": [
{
"skill_id": "c110316a-41d3-46ef-a35e-dbb27785b1c8",
"has_skill": true
},
{
"skill_id": "4b85469d-6729-4d70-9876-a0faa2a2f63b",
"has_skill": true,
"self_rated_proficiency_level": 2
},
{
"skill_id": "a05c0764-3cde-9200-b6a4-dds7639987ff",
"has_skill": true,
"self_rated_proficiency_level": null
},
{
"skill_id": "e03c1859-3bae-4700-b2c5-ede2937038de",
"has_skill": false
}
]
}
'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/employees/{external_id}/skill_profile"
payload = {
"source": "oracle",
"skills": [
{
"skill_id": "c110316a-41d3-46ef-a35e-dbb27785b1c8",
"has_skill": True
},
{
"skill_id": "4b85469d-6729-4d70-9876-a0faa2a2f63b",
"has_skill": True,
"self_rated_proficiency_level": 2
},
{
"skill_id": "a05c0764-3cde-9200-b6a4-dds7639987ff",
"has_skill": True,
"self_rated_proficiency_level": None
},
{
"skill_id": "e03c1859-3bae-4700-b2c5-ede2937038de",
"has_skill": False
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: 'oracle',
skills: [
{skill_id: 'c110316a-41d3-46ef-a35e-dbb27785b1c8', has_skill: true},
{
skill_id: '4b85469d-6729-4d70-9876-a0faa2a2f63b',
has_skill: true,
self_rated_proficiency_level: 2
},
{
skill_id: 'a05c0764-3cde-9200-b6a4-dds7639987ff',
has_skill: true,
self_rated_proficiency_level: null
},
{skill_id: 'e03c1859-3bae-4700-b2c5-ede2937038de', has_skill: false}
]
})
};
fetch('https://{tenant_name}.{region}.techwolf.ai/employees/{external_id}/skill_profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"title": "400 Bad Request",
"description": "The request body was not structured correctly."
}
][
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
][
{
"title": "415 Unsupported Media Type",
"description": "Content-type must be one of: application/json"
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Partially update an Employee Skill Profile with feedback
Provide feedback about an existing Employee Skill Profile to update it inside
the system. When the feedback_format query parameter is skills,
the body of the feedback message overwrites, adds or updates Skills in the original profile.
When the feedback_format query parameter is skill_clusters, this endpoint will change the Skill Cluster
Skills in the Skill Profile to fit the given Skill Cluster proficiency level.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Query Parameters
The format in which feedback for the Skill Profile is given.
skills, external_vendor_skills, skill_clusters "skills"
Body
- Skills
- External Vendor Skills
- Skill Clusters
The source of the Skill Profile update.
"oracle"
The Skills contained in this profile. Either skill or skill_id must be provided, but not both.
Show child attributes
Show child attributes
[
{
"skill_id": "c110316a-41d3-46ef-a35e-dbb27785b1c8",
"has_skill": true
},
{
"skill_id": "4b85469d-6729-4d70-9876-a0faa2a2f63b",
"has_skill": true,
"self_rated_proficiency_level": 2
},
{
"skill_id": "a05c0764-3cde-9200-b6a4-dds7639987ff",
"has_skill": true,
"self_rated_proficiency_level": null
},
{
"skill_id": "e03c1859-3bae-4700-b2c5-ede2937038de",
"has_skill": false
}
]
Response
No Content
Was this page helpful?